/* Button - Fill Style
--------------------------------------------- */

.wp-block-button .wp-element-button {
	background-color: var(--wp--preset--color--primary);
	outline-color: var(--wp--preset--color--primary);
	color: var(--wp--preset--color--white);
	border: 0;
	transition: 0.2s all ease-in-out;
}
.wp-block-button .wp-block-button__link:hover {
	box-shadow: none;
	/* transform: translateY(-3px); */
}
.wp-block-button.is-style-fill .wp-block-button__link:hover,
.wp-block-button.is-style-fill .wp-block-button__link:hover {
	background-color: var(--wp--preset--color--dark-grey);
	outline-color: var(--wp--preset--color--dark-grey);
}

/* Button - Outline Style
--------------------------------------------- */

.wp-block-button.is-style-outline .wp-block-button__link {
	background-color: transparent;
	outline-color: var(--wp--preset--color--primary);
	color: var(--wp--preset--color--primary);
}

.wp-block-button.is-style-outline .wp-block-button__link:hover {
	background-color: var(--wp--preset--color--primary);
	outline-color: var(--wp--preset--color--primary);
	color: var(--wp--preset--color--white);
}

/* Button - Icon Button Styles
--------------------------------------------- */
.wp-block-button[class*="is-style-icon"] .wp-block-button__link {
	display: inline-flex;
	align-items: center;
	justify-content: center;
	gap: calc(var(--wp--preset--spacing--x-small) / 1.5);
}
.wp-block-button[class*="is-style-icon"] .wp-block-button__link > svg.tdc-button-icon {
	width: 1.25em;
	height: 1.25em;
	vertical-align: middle;
	fill: currentColor;
	transition: 0.2s all ease-in-out;
}